////    $RCSfile: demo-array1.c,v $
////    $Date: 2011/09/26 22:42:04 $
////.BlockStart
#include <stdio.h>

int main()
{
    /*  This program allocates an array of integers
     *  and prints the address at which each element
     *  of the array is stored.
     *
     *  This shows how the compiler lays out arrays
     *  in memory (important for the pointer discussion).
     */
////.BlockStart

////.BlockEnd
    int array[10], idx, sum;

    printf("The array is 10 integers.\n");
    printf("   Size of a single element is %d.\n",
    	sizeof(array[0]));
    printf("   Size of the entire array is %d.\n",
    	sizeof(array));
////.BlockStart

////.BlockEnd
    array[0] = 1;
    array[1] = 1;
    for (idx = 2; idx < 10; idx++)
	array[idx] = array[idx-2] + array[idx-1];

    for (idx = 0; idx < 10; idx++)
	printf("array[%d] = %d\t%d (%#0x)\n",
	    idx, array[idx],
	    (int) &array[idx], (unsigned int) &array[idx]);

    return 0;
}
////.BlockEnd
