////	$RCSfile: phonemain.cpp,v $
////	$Date: 2011/09/26 22:50:50 $
////.BlockStart
#include <cstring>	// For strncmp() and friends

using namespace std;

#include "phonelist.h"	// Includes all others
////.BlockEnd

////.BlockStart
int main()
{
    PhoneList Rolo;
    Record add_to_rolodex[] = {
	{ "Frank J. Edwards",   "813-406-0604" },
	{ "Franklin Roosevelt", "800-555-1212" },
	{ "Fran Martin",        "800-555-4245" },
    };
    for (int idx=0; idx < 3; idx++) {
	Record *ptr = new Record(add_to_rolodex[idx]);
	Rolo.Add( ptr );
    }
////.BlockEnd

////.BlockStart
    // Now all the records have been added to the Rolodex
    Record *recptr;
    PhoneListIter iter(Rolo);

    cout << "All entries that are area code `800':" << endl;
    while ((recptr = iter.Next()) != 0)
	if (recptr->number.substr(0,3) == "800")
	    recptr->Print();
    cout << endl;
////.BlockEnd

////.BlockStart
    iter.Reset();
    cout << "All entries that start with `Frank':" << endl;
    while ((recptr = iter.Next()) != 0)
	if (recptr->name.substr(0,5) == "Frank")
	    recptr->Print();
////.BlockEnd

////.BlockStart
    return 0;
    // The destructor for PhoneList will delete the memory
    // for the linked list that was built, since it owns
    // that memory.
}
////.BlockEnd
