////    $RCSfile: animal3.h,v $
////    $Date: 2011/09/26 22:50:50 $
////.BlockStart
#ifndef _animal_h
#define _animal_h

//  Animal3.H
//
//  Changes from Animal2.H:
//   Added overloaded constructor.
//   Add medical history with dynamic memory allocation.

#include <string>
#include "medicalhistory.h"

class Animal {
  private:			// The default
    short nLegs;
    std::string sName;
    MedicalHistory *mh;		// Note the pointer
  public:
    Animal();			// Default Constructor
    Animal(short nLegs, std::string name);
    ~Animal();			// Destructor

    // Used to access the data member
    std::string GetName()	{ return sName; }
    void SetName(std::string name);

    MedicalHistory * GetHistory() { return mh; }
    void SetHistory(MedicalHistory *m);

    short GetLegs()		{ return nLegs; }
    void SetLegs(short n);
};

#endif // _animal_h
////.BlockEnd
