////    $RCSfile: demo-dmem1.c,v $
////    $Date: 2011/09/26 22:42:04 $
////.BlockStart
#include <stdio.h>
#include "demo-dmem.h"

int main()
{
    /*  Demonstration of dynamic memory techniques.
     *
     *  This program reads any number of strings from
     *  stdin and prints them in reverse order.  This
     *  program is memory-limited, in that once the
     *  heap is exhausted, no additional strings may
     *  be read.  How could this limitation be removed?
     */

    MemBlock one;
    char buffer[BUFSIZ];
////.BlockEnd

////.BlockStart
    init_list(&one);
    while (fgets(buffer, sizeof(buffer), stdin))
	add_string(&one, buffer);
    printf("Number of elements in list is %d.\n",
	    one.count);
    print_list(&one);
    free_list(&one);
////.BlockEnd

////.BlockStart
    return 0;
}
////.BlockEnd
