////    $RCSfile: demo-dmem2.c,v $
////    $Date: 2011/09/26 22:42:04 $
////.BlockStart
#include <stdio.h>
#include <stdlib.h>	/* For free() */
#include "demo-dmem.h"

void init_list(MemBlock *mb)
{
    mb->array = 0;	/* Make sure everything is reset */
    mb->total = 0;
    mb->count = 0;
}
////.BlockEnd

////.BlockStart
void print_list(MemBlock *mb)
{
    int last = mb->count;

    while (last > 0)
	fputs(mb->array[--last], stdout);
}
////.BlockEnd

////.BlockStart
void free_list(MemBlock *mb)
{
    int index = 0;

    while (index > 0)
	free(mb->array[--index]);
    free(mb->array);
    init_list(mb);
}
////.BlockEnd
