#define DO_DEBUGGING

#include <stdio.h>
#include "rev1defs.h"

int main(int ac, char *av[])
{
    /* This program generates a list of random
     * numbers.  The quantity is provided on the
     * command line.
     */

    int qty, counter;

    if (ac < 2) {	/* Less than 2 arguments? */
	fprintf(stderr, "Usage:  lab1synt ###\n");
	fprintf(stderr, "\tNumber must be between %d and %d.\n",
	    CMD_MIN, CMD_MAX);
	exit(EXITSYN);
    }
    qty = atoi(av[1]);	/* Convert string to integer */
DSTART		/* Look in rev1defs.h for DSTART and DEND */
printf("av[1] is '%s'\n", av[1]);
printf("qty is %d.\n", qty);
printf("CMD_MIN and CMD_MAX are %d and %d.\n", CMD_MIN, CMD_MAX);
DEND
    if (qty < CMD_MIN || qty > CMD_MAX) {	/* Error checking */
	fprintf(stderr, "Quantity must be between %d and %s.\n",
	    CMD_MIN, CMD_MAX);
	exit(EXITQTY);
    }
    srand( SEED );
    for (counter = 0; counter < qty; counter++)
	printf("%d\n", rand());
    return 0;
}
